---
title: ':right'
slug: 'Web/CSS/:right'
tags:
  - '@page'
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{ CSSRef() }}</div>

<p>The <strong><code>:right</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a>, used with the {{cssxref("@page")}} <a href="/en-US/docs/Web/CSS/At-rule">at-rule</a>, represents all right-hand pages of a printed document.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any right-hand pages when printing */
@page :right {
  margin: 2in 3in;
}</pre>

<p>Whether a given page is "left" or "right" is determined by the major writing direction of the document. For example, if the first page has a major writing direction of left-to-right then it will be a <code>:right</code> page; if it has a major writing direction of right-to-left then it will be a {{Cssxref(":left")}} page.</p>

<div class="note">
<p><strong>Note:</strong> This pseudo-class can be used to change only the {{ Cssxref("margin") }}, {{ Cssxref("padding") }}, {{ Cssxref("border") }}, and {{ Cssxref("background") }} properties of the <em>page box</em>. All other properties will be ignored, and only the page box, not the document content on the page, will be affected.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_margins_for_right-hand_pages">Setting margins for right-hand pages</h3>

<pre class="brush: css notranslate">@page :right {
  margin: 2in 3in;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Paged Media', '#left-right-first', ':right') }}</td>
   <td>{{ Spec2('CSS3 Paged Media') }}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS2.1', 'page.html#page-selectors', ':right') }}</td>
   <td>{{ Spec2('CSS2.1') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.selectors.right")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ Cssxref("@page") }}</li>
 <li>Other page-related pseudo-classes: {{ Cssxref(":first") }}, {{ Cssxref(":left") }}</li>
</ul>
